datablock TSShapeConstructor(BobaFettPlayerDts)
{
	baseShape  = "./Boba Fett.dts";
	sequence0  = "./Boba_Root.dsq root";

	sequence1  = "./Boba_Run.dsq run";
	sequence2  = "./Boba_Run.dsq walk";
	sequence3  = "./Boba_Backwards.dsq back";
	sequence4  = "./Boba_Strafe.dsq side";

	sequence5  = "./Boba_Shift.dsq crouch";
	sequence6  = "./Boba_ShiftForward.dsq crouchRun";
	sequence7  = "./Boba_ShiftBackwards.dsq crouchBack";
	sequence8  = "./Boba_ShiftForward.dsq crouchSide";

	sequence9  = "./Boba_Look.dsq look";
	sequence10 = "./Boba_HeadSide.dsq headside";
	sequence11 = "./Boba_Root.dsq headUp";

	sequence12 = "./Boba_Jump.dsq jump";
	sequence13 = "./Boba_Jump.dsq standjump";
	sequence14 = "./Boba_Root.dsq fall";
	sequence15 = "./Boba_Root.dsq land";

	sequence16 = "./Boba_Attack.dsq armAttack";
	sequence17 = "./Boba_LArmReady.dsq armReadyLeft";
	sequence18 = "./Boba_RArmReady.dsq armReadyRight";
	sequence19 = "./Boba_BothArmsReady.dsq armReadyBoth";
	sequence20 = "./Boba_Root.dsq spearready";  
	sequence21 = "./Boba_Root.dsq spearThrow";

	sequence22 = "./Boba_Talk.dsq talk";  

	sequence23 = "./Boba_Death.dsq death1"; 
	
	sequence24 = "./Boba_Root.dsq shiftUp";
	sequence25 = "./Boba_Root.dsq shiftDown";
	sequence26 = "./Boba_Attack.dsq shiftAway";
	sequence27 = "./Boba_Root.dsq shiftTo";
	sequence28 = "./Boba_Root.dsq shiftLeft";
	sequence29 = "./Boba_Root.dsq shiftRight";
	sequence30 = "./Boba_Root.dsq rotCW";
	sequence31 = "./Boba_Root.dsq rotCCW";

	sequence32 = "./Boba_Root.dsq undo";
	sequence33 = "./Boba_Root.dsq plant";

	sequence34 = "./Boba_Sit.dsq sit";

	sequence35 = "./Boba_Root.dsq wrench";

   sequence36 = "./Boba_Activate.dsq activate";
   sequence37 = "./Boba_Activate.dsq activate2";

   sequence38 = "./Boba_Root.dsq leftrecoil";
};

datablock PlayerData(PlayerBobaFett : PlayerStandardArmor)
{
  shapeFile = "./Boba Fett.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 1;

  //maxForwardSpeed = 15;
  //maxBackwardSpeed = 10;
  //maxSideSpeed = 15;
  
  //maxForwardCrouchSpeed = 15;
  //maxBackwardCrouchSpeed = 10;
  //maxSideCrouchSpeed = 15;
  
  //JumpSound = ""; //Remove Jumping sound
  //jetEmitter = ""; //Remove Jet Emitter
  //jetGroundEmitter = ""; //Remove Jet Ground Emitter
  
   jumpForce = 1000;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;
   
   boundingbox = "5 5 8";
   crouchboundingbox = "5 5 8";

	uiName = "Boba Fett";
	showEnergyBar = false;
};
datablock PlayerData(PlayerFuelBobaFett : PlayerStandardArmor)
{
	shapeFile = "./Boba Fett.dts";
	minJetEnergy = 2;
	jetEnergyDrain = 2;
	canJet = 1;
    jumpForce = 1000;
    jumpEnergyDrain = 0;
    minJumpEnergy = 0;
    jumpDelay = 0;
   
    boundingbox = "5 5 8";
    crouchboundingbox = "5 5 8";

	uiName = "Boba Fett - Fuel";
	showEnergyBar = true;
};